LINUX.ORG.RU
ФорумAdmin

Конфликт при обновлении пакетов в centos


0

1

Здравствуйте, в общем решил сделать обновление на centos 6 пишу yum update он говорит что там трилион обновлений и вконце

---> Package xml-common.noarch 0:0.6.3-32.el6 set to be updated atrpms/filelists_db | 988 kB 00:00 base/filelists_db | 4.9 MB 00:00 c5-testing/filelists_db | 3.7 MB 00:03 epel/filelists_db | 4.8 MB 00:00 extras/filelists_db | 2.4 kB 00:00 updates/filelists_db | 438 kB 00:00 --> Processing Conflict: authconfig-6.1.12-5.el6.i686 conflicts nss_ldap < 254 --> Finished Dependency Resolution Error: authconfig conflicts with nss_ldap You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest [root@123 var]#

я первым делом: yum update nss_ldap [root@123 var]# yum update nss_ldap Loaded plugins: fastestmirror Loading mirror speeds from cached hostfile * base: mirror.yandex.ru * epel: mirror.yandex.ru * extras: mirror.yandex.ru * updates: mirror.yandex.ru Setting up Update Process Resolving Dependencies --> Running transaction check ---> Package nss_ldap.i386 0:253-12.el5.centos set to be updated --> Processing Dependency: libldap-2.3.so.0 for package: nss_ldap-253-12.el5.centos.i386 --> Processing Dependency: liblber-2.3.so.0 for package: nss_ldap-253-12.el5.centos.i386 --> Running transaction check ---> Package compat-openldap.i686 1:2.3.43-2.el6 set to be updated --> Processing Conflict: authconfig-6.1.12-5.el6.i686 conflicts nss_ldap < 254 --> Finished Dependency Resolution Error: authconfig conflicts with nss_ldap You could try using --skip-broken to work around the problem You could try running: rpm -Va --nofiles --nodigest

вторым делом: yum update nss_ldap --skip-broken пишет Skip-broken could not solve problems

Делаю yum update authconfig, обновился норм. В общем помогите советом, как решить данную проблему? Неужели придётся один из пакетов удалять...


По традиции можно yum clean all или как-то так, а потом попробовать заного.

macumazan ★★ ()
Ответ на: комментарий от dada

yum update

[code]---> Package xml-common.noarch 0:0.6.3-32.el6 set to be updated
atrpms/filelists_db | 988 kB 00:00
base/filelists_db | 4.9 MB 00:00
c5-testing/filelists_db | 3.7 MB 00:03
epel/filelists_db | 4.8 MB 00:00
extras/filelists_db | 2.4 kB 00:00
updates/filelists_db | 438 kB 00:00
--> Processing Conflict: authconfig-6.1.12-5.el6.i686 conflicts nss_ldap < 254
--> Finished Dependency Resolution
Error: authconfig conflicts with nss_ldap
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
[root@123 var]#[/code]

yum update nss_ldap

[code]Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.yandex.ru
* epel: mirror.yandex.ru
* extras: mirror.yandex.ru
* updates: mirror.yandex.ru
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package nss_ldap.i386 0:253-12.el5.centos set to be updated
--> Processing Dependency: libldap-2.3.so.0 for package: nss_ldap-253-12.el5.centos.i386
--> Processing Dependency: liblber-2.3.so.0 for package: nss_ldap-253-12.el5.centos.i386
--> Running transaction check
---> Package compat-openldap.i686 1:2.3.43-2.el6 set to be updated
--> Processing Conflict: authconfig-6.1.12-5.el6.i686 conflicts nss_ldap < 254
--> Finished Dependency Resolution
Error: authconfig conflicts with nss_ldap
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest[/code]

yum update nss_ldap --skip-broken

[code]Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* base: mirror.yandex.ru
* epel: mirror.yandex.ru
* extras: mirror.yandex.ru
* updates: mirror.yandex.ru
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package nss_ldap.i386 0:253-12.el5.centos set to be updated
--> Processing Dependency: libldap-2.3.so.0 for package: nss_ldap-253-12.el5.centos.i386
--> Processing Dependency: liblber-2.3.so.0 for package: nss_ldap-253-12.el5.centos.i386
--> Running transaction check
---> Package compat-openldap.i686 1:2.3.43-2.el6 set to be updated
--> Processing Conflict: authconfig-6.1.12-5.el6.i686 conflicts nss_ldap < 254
--> Finished Dependency Resolution
--> Running transaction check
---> Package compat-openldap.i686 1:2.3.43-2.el6 set to be updated
---> Package nss_ldap.i386 0:253-12.el5.centos set to be updated
--> Processing Conflict: authconfig-6.1.12-5.el6.i686 conflicts nss_ldap < 254
--> Finished Dependency Resolution
Skip-broken could not solve problems
Error: authconfig conflicts with nss_ldap
You could try running: rpm -Va --nofiles --nodigest
[root@123 var]#[/code]

djdes ()
Ответ на: комментарий от djdes

1) Таки осилить тэг code.

2)

...обновление на centos 6...
...
c5-testing/
...
Перестать бездумно херачить систему.

berrywizard ★★★★★ ()
Ответ на: комментарий от djdes

Перестать бездумно херачить систему.

Поддерживаю.

dada ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.